ET(4)

NAME
et - Agere/LSI ET1310/ET1301 10/100/Gigabit Ethernet device

SYNOPSIS
et* at pci? dev ? function ?
etphy* at mii? phy ?

DESCRIPTION
The et driver supports PCI Express Ethernet adapters based on the Agere/LSI ET1310/ET1301 integrated MAC/PHY.

The following media types are supported:

autoselect
    Enable autoselection of the media type and options.
10baseT
    Set 10Mbps operation.
100baseTX
    Set 100Mbps (Fast Ethernet) operation.
1000baseT
    Set 1000Mbps (Gigabit Ethernet) operation (ET1310 only).

SEE ALSO
arp(4), etphy(4), ifmedia(4), intro(4), netintro(4), pci(4), ifconfig.if(5), ifconfig(8)

HISTORY
The et device driver first appeared in OpenBSD 4.3. It was added to NetBSD 6.0.

AUTHORS
-nosplit The et driver was written by Sepherosa Ziehau for DragonFlyBSD, ported to OpenBSD by Jonathan Gray <jsg@openbsd.org>, and subsequently ported to NetBSD by Kaspar Brand.